petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawPause

Waits n seconds or until user input, depending on input to PetscDrawSetPause().

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawPause(PetscDraw draw)

Collective operation on PetscDraw object.

### Input Parameter

draw -the drawing context

### See Also

PetscDrawSetPause(), PetscDrawGetPause()

### Level

beginner

### Location

src/sys/classes/draw/interface/dpause.c

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex3f.F.html

### Implementations

PetscDrawPause_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawPause_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawPause_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages